<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yzt.airconditionersystem.mapper.DeviceMapper">

    <resultMap id="BaseResultMap" type="com.yzt.airconditionersystem.bean.Device">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="companyName" column="company_name" jdbcType="VARCHAR"/>
            <result property="gatewayId" column="gateway_id" jdbcType="VARCHAR"/>
            <result property="deviceid" column="deviceId" jdbcType="VARCHAR"/>
            <result property="deviceState" column="device_state" jdbcType="INTEGER"/>
            <result property="deviceDataId" column="device_data_id" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,company_name,gateway_id,
        deviceId,device_state,device_data_id
    </sql>
</mapper>
